org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryNodeAddFinishedMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeAddFinishedMessage

All Implemented Interfaces:
  Externalizable, Serializable

    @TcpDiscoveryEnsureDelivery
    @TcpDiscoveryRedirectToClient
    public class TcpDiscoveryNodeAddFinishedMessage
    extends TcpDiscoveryAbstractMessage

Sent by coordinator across the ring to finish node add process.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryNodeAddFinishedMessage()` Public default no-arg constructor for `Externalizable` interface.
`TcpDiscoveryNodeAddFinishedMessage(UUID creatorNodeId, UUID nodeId)` Constructor.

### Method Summary

Methods
`UUID` `nodeId()` Gets ID of the node added.
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, destinationClientNodeId, destinationClientNodeId, equals, getFlag, hashCode, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryNodeAddFinishedMessage

    public TcpDiscoveryNodeAddFinishedMessage()

Public default no-arg constructor for `Externalizable` interface.

#### TcpDiscoveryNodeAddFinishedMessage

    public TcpDiscoveryNodeAddFinishedMessage(UUID creatorNodeId,
                                      UUID nodeId)

Constructor.

Parameters:
  `creatorNodeId` - ID of the creator node (coordinator).
  `nodeId` - Added node ID.

### Method Detail

#### nodeId

    public UUID nodeId()

Gets ID of the node added.

Returns:
  ID of the node added.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015